#
# spec file for package intel-e1000e (Version 1.2.20)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv kernel-default-devel kernel-pae-devel kernel-source kernel-syms kernel-xen-devel less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man module-init-tools net-tools netcfg pam pam-modules patch pciutils-ids perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           intel-e1000e
Summary:        Intel(R) PRO/1000 driver for Linux
Version:        1.2.20
Release:        1
Source0:        %{name}-%{version}.tar.bz2
Source1:        preamble
License:        GPL v2 or later
Group:          System/Kernel
BuildRequires:  kernel-source kernel-syms module-init-tools pciutils-ids
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um -p %_sourcedir/preamble

%description
This package contains the Linux driver for the
Intel(R) PRO/1000 Family of Server Adapters.

%debug_package
%package KMP

Summary:        e1000e Kernel Module
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Intel(R) PRO/1000 Family of Server Adapters.

%prep
%setup
set -- *
mv src source
echo "e1000e.ko external" > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

mkdir -p $RPM_BUILD_ROOT/usr/share/pci.ids.d
install -D -m 644 pci.updates $RPM_BUILD_ROOT/usr/share/pci.ids.d/pci.ids.intel-e1000e-%{version}

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man7
install -m 644 -D e1000e.7 $RPM_BUILD_ROOT/%{_mandir}/man7
gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man?/*.?

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_mandir}/man7/e1000e.7.gz
/usr/share/pci.ids.d/pci.ids.intel-e1000e-%{version}
%doc COPYING 
%doc README

%post 
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi

%postun
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi
%changelog
